function validate (handles)
difficulty = get(handles.difficulty, 'value');
schemeValues = [get(handles.horizontal,'value') get(handles.diagonal,'value') get(handles.placeholder,'value')];
scheme = sum(schemeValues);
attributeValues = [get(handles.figure,'value') get(handles.shade,'value') get(handles.rotation,'value') get(handles.size,'value') get(handles.border,'value') get(handles.corners,'value')]; 
attributes = sum(attributeValues)
sum(attributeValues);
%sch and att booleans to check if
%individual conditions are met. Set to false 
sch = false;
att = false;
switch difficulty
  case 1
    if(scheme < 1)
      set(handles.schWarning,'string','There must be at least 1 element selected')
      set(handles.schWarning,'visible','on')
    else
      set(handles.schWarning,'visible','off')
      sch = true;
    end
    if(attributes < 1)
      set(handles.attWarning,'string','There must be at least 1 element selected')
      set(handles.attWarning,'visible','on')
    else
      set(handles.attWarning,'visible','off')  
      att = true;
    end
  case 2
    if(scheme < 1)
      set(handles.schWarning,'string','There must be at least 1 element selected')
      set(handles.schWarning,'visible','on')
    else
      set(handles.schWarning,'visible','off')
      sch = true;
    end
    if(attributes < 2)
      set(handles.attWarning,'string','There must be at least 2 elements selected')
      set(handles.attWarning,'visible','on')
    else
      set(handles.attWarning,'visible','off') 
      att = true;
    end
  case 3
    if(scheme < 2)
      set(handles.schWarning,'string','There must be at least 2 elements selected')
      set(handles.schWarning,'visible','on')
    else
      set(handles.schWarning,'visible','off')
      sch = true;
    end
    if(attributes < 3)
      set(handles.attWarning,'string','There must be at least 3 elements selected')
      set(handles.attWarning,'visible','on')
    else
      set(handles.attWarning,'visible','off')  
      att = true;
    end
  case 4
    if(scheme < 2)
      set(handles.schWarning,'string','There must be at least 2 elements selected')
      set(handles.schWarning,'visible','on')
    else
      set(handles.schWarning,'visible','off')
      sch = true;
    end
    if(attributes < 4)
      set(handles.attWarning,'string','There must be at least 4 elements selected')
      set(handles.attWarning,'visible','on')
    else
      set(handles.attWarning,'visible','off') 
      att = true;
    end
  case 5
    if(scheme < 3)
      set(handles.schWarning,'string','There must be at least 3 elements selected')
      set(handles.schWarning,'visible','on')
    else
      set(handles.schWarning,'visible','off')
      sch = true;
    end
    if(attributes < 5)
      set(handles.attWarning,'string','There must be at least 5 elements selected')
      set(handles.attWarning,'visible','on')
    else
      set(handles.attWarning,'visible','off')  
      att = true;
    end
  case 6
      set(handles.attWarning,'visible','off')  
      set(handles.schWarning,'visible','off')
      sch = true;
      att = true;
  otherwise    
end
a = get(handles.warning,'visible')
if(sch == true && att == true &&  strcmp(a,'on') == 0)
    set(handles.generate,'Enable','on')
else
    set(handles.generate,'Enable','off')    
end
end